<?php

namespace dynamicimages\classes;

use dynamicimages\interfaces\dynamicimages_image_i;
use dynamicimages\traits\dynamicimages_image_t;

class dynamicimages_image implements dynamicimages_image_i
{
    use dynamicimages_image_t;
    const asset_path = 'modules/dynamicimages/assets/';
    public string $module_asset_path = 'modules/dynamicimages/assets/';
    /**
     * Assets
     * @var dynamicimages_asset[]
     */
    private array $assets = [];

    /**
     * Constructor
     * @param array $assets
     * @param string $asset_path
     */
    public function __construct(array $assets = [], string $asset_path = '')
    {
        if ($asset_path !== '') {
            $this->setAssetPath($asset_path);
        }
        $this->setAssets($assets);
    }

}